Mageia 2019-0211: firefox security update

    Date21 Jul 2019
    CategoryMageia
    345
    Posted ByLinuxSecurity Advisories
    Sandbox escape via installation of malicious language pack. (CVE-2019-9811) Script injection within domain through inner window reuse. (CVE-2019-11711) Cross-origin POST requests can be made with NPAPI plugins by following 308
    MGASA-2019-0211 - Updated firefox packages fix security vulnerability
    
    Publication date: 21 Jul 2019
    URL: https://advisories.mageia.org/MGASA-2019-0211.html
    Type: security
    Affected Mageia releases: 6
    CVE: CVE-2019-9811,
         CVE-2019-11711,
         CVE-2019-11712,
         CVE-2019-11713,
         CVE-2019-11729,
         CVE-2019-11715,
         CVE-2019-11717,
         CVE-2019-11719,
         CVE-2019-11730,
         CVE-2019-11709
    
    Sandbox escape via installation of malicious language pack. (CVE-2019-9811)
    
    Script injection within domain through inner window reuse. (CVE-2019-11711)
    
    Cross-origin POST requests can be made with NPAPI plugins by following 308
    redirects. (CVE-2019-11712)
    
    Use-after-free with HTTP/2 cached stream. (CVE-2019-11713)
    
    Empty or malformed p256-ECDH public keys may trigger a segmentation fault.
    (CVE-2019-11729)
    
    HTML parsing error can contribute to content XSS. (CVE-2019-11715)
    
    Caret character improperly escaped in origins. (CVE-2019-11717)
    
    Out-of-bounds read when importing curve25519 private key. (CVE-2019-11719)
    
    Same-origin policy treats all files in a directory as having the
    same-origin. (CVE-2019-11730)
    
    Memory safety bugs fixed in Firefox 68 and Firefox ESR 60.8.
    (CVE-2019-11709)
    
    References:
    - https://bugs.mageia.org/show_bug.cgi?id=25102
    - https://www.mozilla.org/en-US/firefox/60.8.0/releasenotes/
    - https://www.mozilla.org/en-US/security/advisories/mfsa2019-22/
    - https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2019-9811
    - https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2019-11711
    - https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2019-11712
    - https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2019-11713
    - https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2019-11729
    - https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2019-11715
    - https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2019-11717
    - https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2019-11719
    - https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2019-11730
    - https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2019-11709
    
    SRPMS:
    - 6/core/firefox-60.8.0-1.mga6
    - 6/core/firefox-l10n-60.8.0-1.mga6
    - 6/core/nss-3.36.8-1.1.mga6
    - 6/core/rootcerts-20190604.00-1.mga6
    

    LinuxSecurity Poll

    What do you think of the articles on LinuxSecurity?

    No answer selected. Please try again.
    Please select either existing option or enter your own, however not both.
    Please select minimum 0 answer(s) and maximum 3 answer(s).
    /main-polls/24-what-do-you-think-of-the-quality-of-the-articles-on-linuxsecurity?task=poll.vote&format=json
    24
    radio
    [{"id":"87","title":"Excellent, don't change a thing!","votes":"5","type":"x","order":"1","pct":62.5,"resources":[]},{"id":"88","title":"Should be more technical","votes":"2","type":"x","order":"2","pct":25,"resources":[]},{"id":"89","title":"Should include more HOWTOs","votes":"1","type":"x","order":"3","pct":12.5,"resources":[]}]["#ff5b00","#4ac0f2","#b80028","#eef66c","#60bb22","#b96a9a","#62c2cc"]["rgba(255,91,0,0.7)","rgba(74,192,242,0.7)","rgba(184,0,40,0.7)","rgba(238,246,108,0.7)","rgba(96,187,34,0.7)","rgba(185,106,154,0.7)","rgba(98,194,204,0.7)"]350
    bottom200

    We use cookies to provide and improve our services. By using our site, you consent to our Cookie Policy.